Summary: SSL-encrypting socket wrapper
Name: stunnel
Version: 3.22
Release: 1.0.5
%define openssldir /var/ssl
Copyright: GPL
Group: Networking
Source0: http://mike.daewoo.com.pl/computer/stunnel/%{name}-%{version}.tar.gz
Source1: stunnel-server.pem
Patch0: stunnel-3.22-makefile.patch
Patch1: stunnel-3.22-sigchld.patch
Buildroot: /var/tmp/stunnel-root
Vendor: Guardian Digital, Inc. 
Buildrequires: openssl-devel
Requires: openssl

%description
stunnel is a socket wrapper which can be used to give ordinary
applications SSL (secure sockets layer) support. For example, it
can be used in conjunction with a imapd to create a SSL secure IMAP
server.

%prep
%setup 
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                        --prefix=/usr \
                        --localstatedir=/var/run \
                        --with-pem-dir=%{openssldir}/certs \
                        --with-cert-dir=%{openssldir}/certs \
                        --enable-ssllib-cs
make


%install
  rm -rf $RPM_BUILD_ROOT
  install -d -m755 $RPM_BUILD_ROOT/usr/sbin
  install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man8
  install -d -m755 $RPM_BUILD_ROOT/etc/ssl/certs

  install -c -m 711 stunnel     $RPM_BUILD_ROOT/usr/sbin
  install -c -m 644 stunnel.8   $RPM_BUILD_ROOT%{_mandir}/man8

  install -c -m 600 ${RPM_SOURCE_DIR}/stunnel-server.pem \
                    $RPM_BUILD_ROOT/etc/ssl/certs/server.pem


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
/usr/sbin/stunnel
%config /etc/ssl/certs/

%doc BUGS COPYING COPYRIGHT.GPL COPYRIGHT.SSLeay FAQ HISTORY INSTALL PORTS
%doc README TODO stunnel.html
%doc %{_mandir}/man8/stunnel.8


%changelog
* Fri Aug 01 2003 Nicholas DeClario <nick@guardiandigital.com>
- Release 1.0.5
  - Added sigchild patch to fix possible vulnerability

* Mon Dec 24 2001 Nick DeClario <nick@guardiandigital.com>
- Version 3.22, release 1.0.4
  - Updated to latest version to fix critical bug in stunnel
  - Patched makefile to remove creation of cert

* Tue Dec 19 2000 Nick DeClario <nick@guardiandigital.com>
- Fixed format bug fix with a patch.  3.8p4-1.0.3 is equivalent
	to 3.9.

* Mon Nov 27 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Removed /usr/sbin/MakePEM
- Fixed certificate so the Common Name is "*".

* Mon Nov 20 2000 Nick DeClario <nick@guardiandigital.com>
- Created RPM based on original RPM from Damien Miller 
- Added default server certificate
- Moved POP and IMAP init scripts to IMAP-2000 RPM
